=== modified file 'lib/lp/soyuz/tests/test_packagecopyjob.py'
--- lib/lp/soyuz/tests/test_packagecopyjob.py	2011-12-22 15:25:55 +0000
+++ lib/lp/soyuz/tests/test_packagecopyjob.py	2011-12-22 15:44:23 +0000
@@ -8,11 +8,7 @@
 
 from storm.store import Store
 from testtools.content import text_content
-from testtools.matchers import (
-    Equals,
-    MatchesSetwise,
-    MatchesStructure,
-    )
+from testtools.matchers import MatchesStructure
 import transaction
 from zope.component import getUtility
 from zope.security.interfaces import Unauthorized
@@ -562,8 +558,7 @@
         self.makePPAJob(target2)
 
         pending_jobs = list(job_source.getIncompleteJobsForArchive(target1))
-        has_both_jobs = MatchesSetwise(*(map(Equals, target1_jobs)))
-        self.assertThat(pending_jobs, has_both_jobs)
+        self.assertContentEqual(pending_jobs, target1_jobs)
 
     def test_getIncompleteJobsForArchive_finds_failed_and_running_jobs(self):
         # getIncompleteJobsForArchive should return only waiting, failed
@@ -577,9 +572,9 @@
         job_source = getUtility(IPlainPackageCopyJobSource)
         found_jobs = job_source.getIncompleteJobsForArchive(ppa)
         found_statuses = [job.status for job in found_jobs]
-        self.assertThat(
+        self.assertContentEqual(
             [JobStatus.WAITING, JobStatus.RUNNING, JobStatus.FAILED],
-            MatchesSetwise(*(map(Equals, found_statuses))))
+            found_statuses)
 
     def test_copying_to_main_archive_ancestry_overrides(self):
         # The job will complete right away for auto-approved copies to a

=== modified file 'lib/lp/testing/__init__.py'
--- lib/lp/testing/__init__.py	2011-12-21 19:44:48 +0000
+++ lib/lp/testing/__init__.py	2011-12-22 15:44:23 +0000
@@ -98,7 +98,11 @@
 import testtools
 from testtools.content import Content
 from testtools.content_type import UTF8_TEXT
-from testtools.matchers import MatchesRegex
+from testtools.matchers import (
+    Equals,
+    MatchesRegex,
+    MatchesSetwise,
+    )
 from testtools.testcase import ExpectedException as TTExpectedException
 import transaction
 from zope.component import (
@@ -519,10 +523,7 @@
 
     def assertContentEqual(self, iter1, iter2):
         """Assert that 'iter1' has the same content as 'iter2'."""
-        list1 = sorted(iter1)
-        list2 = sorted(iter2)
-        self.assertEqual(
-            list1, list2, '%s != %s' % (pformat(list1), pformat(list2)))
+        self.assertThat(iter1, MatchesSetwise(*(map(Equals, iter2))))
 
     def assertRaisesWithContent(self, exception, exception_content,
                                 func, *args):

